Package org.codehaus.janino

# Class Java.FormalLambdaParameters

java.lang.Object
org.codehaus.janino.Java.FormalLambdaParameters

All Implemented Interfaces:
  `Java.LambdaParameters`

Enclosing class:
  `Java`

public static class Java.FormalLambdaParameters extends Object implements Java.LambdaParameters
Representation of "lamba parameters" that include a formal parameter list; see JLS9 15.27.1.

## Field Summary

Fields
Modifier and Type
Field
Description
`final Java.FunctionDeclarator.FormalParameters`
`formalParameters`
The formal parameter declarations that pose the list.

## Constructor Summary

Constructors
Constructor
Description
`FormalLambdaParameters(Java.FunctionDeclarator.FormalParameters formalParameters)`

## Method Summary

Modifier and Type
Method
Description
`<R, EX extends Throwable>
R`
`accept(Visitor.LambdaParametersVisitor<R,EX> lpv)`
Invokes the "`visit...()`" method of `Visitor.LambdaParametersVisitor` for the concrete `Java.LambdaParameters`.
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

## Field Details

### formalParameters

public final Java.FunctionDeclarator.FormalParameters formalParameters
The formal parameter declarations that pose the list.

## Constructor Details

### FormalLambdaParameters

public FormalLambdaParameters(Java.FunctionDeclarator.FormalParameters formalParameters)

## Method Details

### accept

@Nullable public <R, EX extends Throwable> R accept(Visitor.LambdaParametersVisitor<R,EX> lpv) throws EX
Description copied from interface: `Java.LambdaParameters`
Invokes the "`visit...()`" method of `Visitor.LambdaParametersVisitor` for the concrete `Java.LambdaParameters`.

Specified by:
  `accept` in interface `Java.LambdaParameters`
Throws:
  `EX`

### toString

public String toString()

Overrides:
  `toString` in class `Object`